> For the complete documentation index, see [llms.txt](https://docs.validationcloud.io/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validationcloud.io/v1/bitcoin/esplora-http-api/blocks/get-block-height-height.md).

# GET /block-height/:height

Returns the hash of the block currently at `height`.

This method will use `10` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

**`block height`** - required.

Example: `910883`

## Returns

Returns the hash of the block currently at `height`.

{% code overflow="wrap" %}

```json
00000000000000000001129bff5a606bd4999e3594613fa13453a0f3635ed35b
```

{% endcode %}

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.bitcoin.validationcloud.io/v1/<YOUR_API_KEY>/block-height/:height \
 -X GET
```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://testnet.bitcoin.validationcloud.io/v1/<YOUR_API_KEY>/block-height/:height \
 -X GET
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/bitcoin/esplora-http-api/blocks/get-block-height-height.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
